Bug 254971 - net/gitup: ignored paths aren't ignored
Summary: net/gitup: ignored paths aren't ignored
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-11 06:27 UTC by Peter Jeremy
Modified: 2021-05-06 05:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (eduardo)


Attachments
Patch to make gitup ignore paths marked ignore. (2.65 KB, text/plain)
2021-04-11 06:27 UTC, Peter Jeremy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Jeremy freebsd_committer 2021-04-11 06:27:08 UTC
Created attachment 224009 [details]
Patch to make gitup ignore paths marked ignore.

gitup currently does a complete walk of the specified target directory, including any paths marked as "ignore".  In the case of (eg) ports, this means that the packages and distfiles directories will be unnecessarily scanned and hashed.

On my system that amounts to spending 4 hours hashing 100GB of data.

The attached patch skips ignored paths at all stages.
Comment 1 Nuno Teixeira freebsd_committer 2021-04-12 06:18:12 UTC
Hello Peter!

That seems a very interesting work to fix the problem you found in gitup.

I was thinking why not open an issue in gitup upstream about it or clone it and then try push changes so that this bug is fixed upstream?

What do you think?
Comment 2 Nuno Teixeira freebsd_committer 2021-04-26 03:52:55 UTC
Hello Peter,

This PR is at https://github.com/johnmehr/gitup/issues/64

Thanks
Comment 3 Nuno Teixeira freebsd_committer 2021-04-26 04:03:50 UTC
Could you take a look?
Comment 4 Nuno Teixeira freebsd_committer 2021-04-26 04:29:16 UTC
Please?
Comment 5 Peter Jeremy freebsd_committer 2021-04-26 08:41:34 UTC
Thanks for raising the issue upstream.  I am happy to close this as superseded by https://github.com/johnmehr/gitup/issues/64
Comment 6 Nuno Teixeira freebsd_committer 2021-05-06 05:46:10 UTC
Thanks, let's wait for next release that includes this fix.